<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="cn.yyxx.eyuangame.core">

    <!-- 网络权限 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="com.android.vending.BILLING" />
    <uses-permission android:name="com.farsitel.bazaar.permission.PAY_THROUGH_BAZAAR" />
    <uses-permission android:name="com.google.android.gms.permission.AD_ID"/>

    <uses-permission android:name="android.permission.CHANGE_CONFIGURATION"/>

    <queries>
        <package android:name="com.facebook.katana" />
    </queries>

    <application
        android:configChanges="locale"
        android:allowBackup="true"
        android:allowNativeHeapPointerTagging="false"
        android:supportsRtl="true"
        android:usesCleartextTraffic="true">

        <activity
            android:name=".impl.login.LoginActivity"
            android:configChanges="keyboard|keyboardHidden|screenLayout|screenSize|orientation"
            android:imeOptions="flagNoFullscreen|flagNoExtractUi"
            android:launchMode="singleTask"
            android:theme="@style/EYuanGameTheme"
            android:windowSoftInputMode="adjustResize|stateHidden|stateVisible" />

        <activity
            android:name=".impl.center.MemberActivity"
            android:configChanges="keyboard|keyboardHidden|screenLayout|screenSize|orientation"
            android:imeOptions="flagNoFullscreen|flagNoExtractUi"
            android:launchMode="singleTask"
            android:theme="@style/EYuanGameTheme"
            android:windowSoftInputMode="adjustResize|stateHidden|stateVisible" />

        <activity
            android:name=".impl.center.HybridActivity"
            android:configChanges="keyboard|keyboardHidden|screenLayout|screenSize|orientation"
            android:imeOptions="flagNoFullscreen|flagNoExtractUi"
            android:launchMode="singleTask"
            android:theme="@style/EYuanGameTheme"
            android:windowSoftInputMode="adjustResize|stateHidden|stateVisible" />

        <service
            android:name=".impl.floatball.FloatCenterService"
            android:exported="true" />

        <!-- Facebook start -->
        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />

        <activity
            android:name="com.facebook.FacebookActivity"
            android:configChanges="keyboard|keyboardHidden|screenLayout|screenSize|orientation" />

        <activity
            android:name="com.facebook.CustomTabActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data android:scheme="@string/fb_login_protocol_scheme" />
            </intent-filter>
        </activity>
    </application>

</manifest>